Compare commits

...

No commits in common. "c8" and "c9s" have entirely different histories.
c8 ... c9s

19 changed files with 545 additions and 126 deletions

3
.gitignore vendored
View File

@ -1 +1,2 @@
SOURCES/madan.zip Madan.ttf
/fonts.zip

View File

@ -1 +1 @@
b710212f74a309c2e227aea5744e00e159597d15 SOURCES/madan.zip 64d13fbd56016f5f5c963d8270697942d377e490 fonts.zip

View File

@ -1,5 +1,5 @@
<?xml version="1.0"?> <?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd"> <!DOCTYPE fontconfig SYSTEM "urn:fontconfig:fonts.dtd">
<fontconfig> <fontconfig>
<!-- font remapping/renaming overrides --> <!-- font remapping/renaming overrides -->
@ -25,7 +25,7 @@
<match> <match>
<test name="lang"> <test name="lang">
<string>ne-np</string> <string>ne</string>
</test> </test>
<test name="family"> <test name="family">
<string>sans-serif</string> <string>sans-serif</string>

View File

@ -1,45 +0,0 @@
--- madan/madan.sfd.old 2017-03-13 13:58:43.222651696 +0530
+++ madan/madan.sfd 2017-03-13 14:04:19.735250509 +0530
@@ -524,7 +524,7 @@
AntiAlias: 1
FitToEm: 0
AnchorClass2: "Anchor-0" "'abvm' Above Base Mark in Devanagari lookup 0 subtable" "Anchor-1" "'abvm' Above Base Mark in Devanagari lookup 1 subtable" "Anchor-2" "'abvm' Above Base Mark in Devanagari lookup 2 subtable" "Anchor-3" "'abvm' Above Base Mark in Devanagari lookup 4 subtable" "Anchor-4" "'abvm' Above Base Mark in Devanagari lookup 5 subtable" "Anchor-5" "'blwm' Below Base Mark in Devanagari lookup 6 subtable" "Anchor-6" "'blwm' Below Base Mark in Devanagari lookup 7 subtable"
-BeginChars: 65889 464
+BeginChars: 65890 465
StartChar: .notdef
Encoding: 65536 -1 0
@@ -106551,5 +106551,33 @@
Flags: W
LayerCount: 2
EndChar
+
+StartChar: uni0970
+Encoding: 65889 2416 464
+Width: 992
+Flags: W
+LayerCount: 2
+Fore
+SplineSet
+498 860 m 0,0,1
+ 590 860 590 860 655 927 c 128,-1,2
+ 720 994 720 994 720 1090 c 128,-1,3
+ 720 1186 720 1186 655 1252 c 128,-1,4
+ 590 1318 590 1318 498 1318 c 0,5,6
+ 408 1318 408 1318 343 1252 c 128,-1,7
+ 278 1186 278 1186 278 1090 c 128,-1,8
+ 278 994 278 994 343 927 c 128,-1,9
+ 408 860 408 860 498 860 c 0,0,1
+496 748 m 128,-1,11
+ 352 748 352 748 251 848 c 128,-1,12
+ 150 948 150 948 150 1090 c 0,13,14
+ 150 1230 150 1230 251 1330 c 128,-1,15
+ 352 1430 352 1430 496 1430 c 128,-1,16
+ 640 1430 640 1430 741 1330 c 128,-1,17
+ 842 1230 842 1230 842 1090 c 0,18,19
+ 842 948 842 948 741 848 c 128,-1,10
+ 640 748 640 748 496 748 c 128,-1,11
+EndSplineSet
+EndChar
EndChars
EndSplineFont

View File

@ -1,16 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>madan</id>
<metadata_license>CC-BY-3.0</metadata_license>
<name>Madan</name>
<summary>Font for Nepali language</summary>
<description>
<p>
This package provides the Madan font for Nepali made by the
Madan Puraskar Pustakalaya project.
</p>
</description>
<updatecontact>pnemade_at_redhat_dot_com</updatecontact>
<url type="homepage">http://madanpuraskar.org/</url>
</component>

View File

@ -1,8 +0,0 @@
#!/usr/bin/env fontforge
Print( " ")
Print( "Generating sfd from ttf sources...")
Print( "----------------------------------")
Open($1)
Save($1:r + ".sfd")
Print( " ")

6
gating.yaml Normal file
View File

@ -0,0 +1,6 @@
--- !Policy
product_versions:
- rhel-9
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}

15
license.txt Normal file
View File

@ -0,0 +1,15 @@
Open Type rules and Nepali glyphsets developed at Madan Puraskar Pustakalaya and released under GPL.
Contacts:
Madan Puraskar Pustakalaya
Yalamaya Kendra, Patan, NEPAL
GPO Box. 42
www.mpp.org.np
info@mpp.org.np
Font Developers:
Gaurav Shrestha | gaurav@mpp.org.np
Anjan Ale | anjan@mpp.org.np
Copyright (c) 2007 by Madan Puraskar Pustakalaya. All rights reserved.

View File

@ -1,71 +1,92 @@
%global fontname madan
%global fontconf 65-0-%{fontname}.conf
Name: %{fontname}-fonts
Version: 2.000
Release: 20%{?dist}
Summary: Font for Nepali language
License: GPL+
URL: http://madanpuraskar.org/
# Found new following working Source URL. Use wget to download this archive
Source0: http://download.com.np/uploads/nepali_unicode/madan.zip
Source1: %{name}-fontconfig.conf
Source2: ttf2sfd.pe
Source3: sfd2ttf.pe
Source4: %{fontname}.metainfo.xml
BuildArch: noarch
BuildRequires: fontforge BuildRequires: fontforge
BuildRequires: fontpackages-devel
Requires: fontpackages-filesystem
# This patch will make sure "fc-scan madan.ttf |grep lang:" will show ne
# This is now newly created against fontforge2 build
Patch0: madan-fonts-2.000-bug842965-u0970-ff2.patch
%description Version: 2.000
Release: 32%{?dist}
URL: http://madanpuraskar.org/
%global fontlicense GPL+
%global fontlicenses license.txt
%global fontfamily Madan
%global fontsummary Font for Nepali language
%global fonts madan.ttf
%global fontconfs %{SOURCE1}
%global fontdescription %{expand:
This package provides the Madan font for Nepali made by the This package provides the Madan font for Nepali made by the
Madan Puraskar Pustakalaya project. Madan Puraskar Pustakalaya project.}
# Found new following working Source URL. Use wget to download this archive
Source0: http://ltk.org.np/downloads/fonts.zip
Source1: 65-0-%{fontpkgname}.conf
# Extract from font info
Source2: license.txt
Source3: sfd2ttf.pe
# Below files will make sure "fc-scan madan.ttf |grep lang:" will show ne
Source4: madan.py
Source5: madan_u0970_glyph.svg
%fontpkg
%prep %prep
%setup -c -q %autosetup -c
for file in madan/license.txt; do cp -p %{SOURCE2} %{SOURCE3} \
sed "s|\r||g" $file > $file.new && \ %{SOURCE4} %{SOURCE5} .
touch -r $file $file.new && \
mv $file.new $file
done
cp -p %{SOURCE2} %{SOURCE3} . %linuxtext license.txt
chmod 755 ttf2sfd.pe sfd2ttf.pe
./ttf2sfd.pe madan/*.ttf
rm -rf madan/*ttf
%patch0 -p0 -b .added-u0970-character
./sfd2ttf.pe madan/*.sfd
chmod 755 sfd2ttf.pe madan.py
./madan.py madan.ttf madan_u0970_glyph.svg
./sfd2ttf.pe madan.sfd
%build %build
echo "Nothing to do in Build." %fontbuild
%install %install
install -m 0755 -d %{buildroot}%{_fontdir} %fontinstall
install -m 0644 -p %{fontname}/*.ttf %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \ %check
%{buildroot}%{_fontconfig_confdir} %fontcheck
install -m 0644 -p %{SOURCE1} \ %fontfiles
%{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
%{buildroot}%{_fontconfig_confdir}/%{fontconf}
# Add AppStream metadata
install -Dm 0644 -p %{SOURCE4} \
%{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml
%_font_pkg -f %{fontconf} *.ttf
%doc %{fontname}/license.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml
%changelog %changelog
* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com>
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
Related: rhbz#1991688
* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com>
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Sun May 24 2020 Parag Nemade <pnemade AT redhat DOT com> - 2.000-28
- Update fontconfig DTD id in conf file
* Wed Mar 18 2020 Parag Nemade <pnemade AT redhat DOT com> - 2.000-27
- Update CI script for new installed font path
* Tue Mar 10 2020 Parag Nemade <pnemade AT redhat DOT com> - 2.000-26
- Convert to new fonts packaging guidelines
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Mon Dec 30 2019 Parag Nemade <pnemade AT redhat DOT com> - 2.000-24
- Fix adding U0970 based on Vishal Vijayraghavan's fix
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-20 * Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.000-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild - Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

18
madan.py Normal file
View File

@ -0,0 +1,18 @@
#!/usr/bin/python3
# usage:
# python3 madan.py <madan.ttf> <madan.svg>
import fontforge as ff
import sys
src_font_file = sys.argv[1]
src_glyph_svg_name = sys.argv[2]
output_font_file_name = "madan.sfd"
glyph_name = 'uni0970'
glyph_unicode = 0x0970
font = ff.open(src_font_file)
glyph = font.createChar(glyph_unicode, glyph_name)
glyph.importOutlines(src_glyph_svg_name)
font.save(output_font_file_name)

9
madan_u0970_glyph.svg Normal file
View File

@ -0,0 +1,9 @@
<?xml version="1.0" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd" >
<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" viewBox="-10 0 1002 2048">
<g transform="matrix(1 0 0 -1 0 1638)">
<path fill="currentColor"
d="M498 860q92 0 157 67t65 163t-65 162t-157 66q-90 0 -155 -66t-65 -162t65 -163t155 -67zM496 748q-144 0 -245 100t-101 242q0 140 101 240t245 100t245 -100t101 -240q0 -142 -101 -242t-245 -100z" />
</g>
</svg>

After

Width:  |  Height:  |  Size: 541 B

1
sources Normal file
View File

@ -0,0 +1 @@
SHA512 (fonts.zip) = d92fb07fe00f7eb3bad035291cb7c890427c4f1750b199c69e2787a350901c31710dc8f1c0bb7eef1c8a8a83e334390474ef57802520e6cb0d2e4d8cb98608b5

View File

@ -0,0 +1,7 @@
---
role_pkgs_req:
- fontconfig
- fontconfig-devel
- pkg-config
- rsync

View File

@ -0,0 +1,153 @@
#! /bin/bash -efu
debug() {
if [ -n "$DEBUG" ]; then
echo "$*" >&2
fi
}
msg_usage() {
cat <<_EOF_
Run family test.
Usage:
$PROG <options>
Options:
-h, --help Display this help and exit
-v, --verbose Turn on debug
-l, --lang=LANG Test LANG language coverage (default: en)
-f, --family=FILE Set a family name supposed to be assigned for alias.
-g, --alias=STR Set an alias name. (default: sans-serif)
-a, --artifactsdir=DIR Set environment dir to store artifacts
-k, --package=NAME Set a package name for fonts.
_EOF_
}
PROG="${PROG:-${0##*/}}"
DEBUG="${DEBUG:-}"
OPT_LANG="${OPT_LANG:-en}"
OPT_FAMILY="${OPT_FAMILY:-}"
OPT_ARTIFACTS_DIR="${OPT_ARTIFACTS_DIR:-}"
OPT_ALIAS="${OPT_ALIAS:-sans-serif}"
OPT_PACKAGE="${OPT_PACKAGE:-}"
opt=$(getopt -n "$0" --options "hvl:f:t:a:g:k:" --longoptions "help,verbose,lang:,family:,test:,artifactsdir:,alias:,package:" -- "$@")
eval set -- "$opt"
while [[ $# -gt 0 ]]; do
case "$1" in
-k|--package)
OPT_PACKAGE="$2"
shift 2
;;
-g|--alias)
OPT_ALIAS="$2"
shift 2
;;
-a|--artifactsdir)
OPT_ARTIFACTS_DIR="$2"
shift 2
;;
-f|--family)
OPT_FAMILY="$2"
shift 2
;;
-l|--lang)
OPT_LANG="$2"
shift 2
;;
-v|--verbose)
DEBUG="-v"
shift
;;
-h|--help)
msg_usage
exit 0
;;
--)
shift
;;
*)
msg_usage
exit 1
esac
done
if [ -z "$OPT_ARTIFACTS_DIR" ] || [ -z "$OPT_LANG" ] || [ -z "$OPT_FAMILY" ]; then
echo "Use: $PROG -h for help."
exit 0
fi
debug "Alias: $OPT_ALIAS"
debug "Family: $OPT_FAMILY"
debug "Lang: $OPT_LANG"
debug "Artifacts dir: $OPT_ARTIFACTS_DIR"
debug "Package name: $OPT_PACKAGE"
STR_TEST_DASHED=$(echo "${OPT_PACKAGE}_${OPT_ALIAS}" | sed -e 's/\//-/g' -e 's/ /-/g')
debug "Log file: $STR_TEST_DASHED.log"
clean_exit() {
rc=$?;
trap - SIGINT SIGTERM SIGABRT EXIT
echo "Run test $OPT_ALIAS: done."
for pid in $(ps -o pid --no-headers --ppid $$); do
if [ -n "$(ps -p $pid -o pid=)" ]; then
kill -s HUP $pid
fi
done
local log_file_name="$STR_TEST_DASHED.log"
local log_file_path="$OPT_ARTIFACTS_DIR/$log_file_name"
local status
if [[ $rc -eq 127 ]]; then
status="ERROR"
elif grep -q "RESULT: WARN" "$log_file_path"; then
status="ERROR"
elif grep -q "RESULT: FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "RESULT: PASS" "$log_file_path"; then
status="PASS"
elif grep -q "FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "PASS" "$log_file_path"; then
status="PASS"
else
status="ERROR"
fi
echo "$status $OPT_ALIAS" >> "$OPT_ARTIFACTS_DIR/test.log"
mv "$log_file_path" "$OPT_ARTIFACTS_DIR/${status}_${log_file_name}"
local results="$OPT_ARTIFACTS_DIR/results.yml"
local result=$(echo $status | tr '[:upper:]' '[:lower:]')
test -f "$results" || echo 'results:' > "$results"
echo "- {result: $result, test: $OPT_ALIAS}" >> "$results"
exit 0
}
trap clean_exit SIGINT SIGTERM SIGABRT EXIT
cachedir=`pkg-config --variable cachedir fontconfig`
tmpconfd=`mktemp --tmpdir -d fontsci.XXXXXXXX`
conf=$(for i in `rpm -ql $OPT_PACKAGE | grep conf.d`; do
echo "<include>$i</include>"
done)
cat <<_EOF_> $tmpconfd/fonts.conf
<fontconfig>
<dir>/usr/share/fonts</dir>
$conf
<cachedir>$cachedir</cachedir>
</fontconfig>
_EOF_
debug "Config: `cat $tmpconfd/fonts.conf`"
mkdir -p "$OPT_ARTIFACTS_DIR"
export OUTPUTFILE="$(realpath "$OPT_ARTIFACTS_DIR")/$STR_TEST_DASHED-out.log"
logfile_stdout="$OPT_ARTIFACTS_DIR/$STR_TEST_DASHED.log"
logfile_stderr="$OPT_ARTIFACTS_DIR/$STR_TEST_DASHED-err.log"
exec 3>&1 4>&2 1> >(tee -a "$logfile_stdout" >&3) 2> >(tee -a "$logfile_stderr" >&4)
debug "Check family assignment"
res=`FONTCONFIG_FILE=$tmpconfd/fonts.conf fc-match -f "%{family[0]}" :family=$OPT_ALIAS:lang=$OPT_LANG`
if [ "x$res" = "x$OPT_FAMILY" ]; then
echo "RESULT: PASS: $OPT_FAMILY was assigned to $OPT_ALIAS as expected"
else
echo "RESULT: FAIL: $OPT_FAMILY wasn't assigned to $OPT_ALIAS (actual result: $res)"
fi
rm -rf $tmpconfd

View File

@ -0,0 +1,197 @@
#! /bin/bash -efu
debug() {
if [ -n "$DEBUG" ]; then
echo "$*" >&2
fi
}
msg_usage() {
cat <<_EOF_
Run language coverage test.
Usage:
$PROG <options>
Options:
-h, --help Display this help and exit
-v, --verbose Turn on debug
-l, --lang=LANG Test LANG language coverage (default: en)
-p, --path=PATH Test fonts on PATH
-n, --name=NAME Set NAME to store a log file.
-a, --artifactsdir=DIR test environment dir to store artifacts
-e, --exclude=FILE Exclude FILE to check.
-i, --include=FILE Include File to check.
_EOF_
}
PROG="${PROG:-${0##*/}}"
DEBUG="${DEBUG:-}"
OPT_LANG="${OPT_LANG:-en}"
OPT_PATH="${OPT_PATH:-}"
OPT_ARTIFACTS_DIR="${OPT_ARTIFACTS_DIR:-}"
OPT_EXCLUDE=()
OPT_INCLUDE=()
OPT_NAME="${OPT_NAME:-}"
opt=$(getopt -n "$0" --options "hvl:p:n:a:e:i:" --longoptions "help,verbose,lang:,path:,name:,artifactsdir:,exclude:,include:" -- "$@")
eval set -- "$opt"
while [[ $# -gt 0 ]]; do
case "$1" in
-n|--name)
OPT_NAME="$2"
shift 2
;;
-i|--include)
OPT_INCLUDE+=("$2")
shift 2
;;
-e|--exclude)
OPT_EXCLUDE+=("$2")
shift 2
;;
-a|--artifactsdir)
OPT_ARTIFACTS_DIR="$2"
shift 2
;;
-p|--path)
OPT_PATH="$2"
shift 2
;;
-l|--lang)
OPT_LANG="$2"
shift 2
;;
-v|--verbose)
DEBUG="-v"
shift
;;
-h|--help)
msg_usage
exit 0
;;
--)
shift
;;
*)
msg_usage
exit 1
esac
done
if [ -z "$OPT_ARTIFACTS_DIR" ] || [ -z "$OPT_LANG" ] || [ -z "$OPT_PATH" ]; then
echo "Use: $PROG -h for help."
exit 0
fi
expand_regex() {
local e ret=()
local path="$1"
shift
(cd $path;
for e; do
debug "$e"
set +f
local x=$(find -regextype posix-egrep -regex "./$e" -print|sed -e 's,^\./,,g')
ret+=($x)
set -f
echo ${ret[@]}
done)
echo ${ret[@]}
}
OPT_INCLUDE=($(expand_regex $OPT_PATH ${OPT_INCLUDE[@]}))
OPT_EXCLUDE=($(expand_regex $OPT_PATH ${OPT_EXCLUDE[@]}))
debug "Path: $OPT_PATH"
debug "Lang: $OPT_LANG"
debug "Artifacts dir: $OPT_ARTIFACTS_DIR"
debug "Exclude: ${OPT_EXCLUDE[@]}"
debug "Include: ${OPT_INCLUDE[@]}"
STR_TEST_DASHED=$(echo "${OPT_NAME:-${OPT_LANG}_${OPT_PATH}}" | sed -e 's/\//-/g')
clean_exit() {
rc=$?;
trap - SIGINT SIGTERM SIGABRT EXIT
echo "Run test $OPT_PATH: done."
for pid in $(ps -o pid --no-headers --ppid $$); do
if [ -n "$(ps -p $pid -o pid=)" ]; then
kill -s HUP $pid
fi
done
local log_file_name="$STR_TEST_DASHED.log"
local log_file_path="$OPT_ARTIFACTS_DIR/$log_file_name"
local status
if [[ $rc -eq 127 ]]; then
status="ERROR"
elif grep -q "RESULT: WARN" "$log_file_path"; then
status="ERROR"
elif grep -q "RESULT: FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "RESULT: PASS" "$log_file_path"; then
status="PASS"
elif grep -q "FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "PASS" "$log_file_path"; then
status="PASS"
else
status="ERROR"
fi
echo "$status $OPT_PATH" >> "$OPT_ARTIFACTS_DIR/test.log"
mv "$log_file_path" "$OPT_ARTIFACTS_DIR/${status}_${log_file_name}"
local results="$OPT_ARTIFACTS_DIR/results.yml"
local result=$(echo $status | tr '[:upper:]' '[:lower:]')
test -f "$results" || echo 'results:' > "$results"
echo "- {result: $result, test: $OPT_PATH}" >> "$results"
exit 0
}
trap clean_exit SIGINT SIGTERM SIGABRT EXIT
mkdir -p "$OPT_ARTIFACTS_DIR"
export OUTPUTFILE="$(realpath "$OPT_ARTIFACTS_DIR")/$STR_TEST_DASHED-out.log"
logfile_stdout="$OPT_ARTIFACTS_DIR/$STR_TEST_DASHED.log"
logfile_stderr="$OPT_ARTIFACTS_DIR/$STR_TEST_DASHED-err.log"
exec 3>&1 4>&2 1> >(tee -a "$logfile_stdout" >&3) 2> >(tee -a "$logfile_stderr" >&4)
contains() {
local e match="$1"
shift
for e; do [[ "$e" == "$match" ]] && return 1; done
return 0
}
debug "Check language coverage"
set +f
for i in `find $OPT_PATH -regex '.*/*\.\(t1\)?\(ttf\)?\(otf\)?\(ttc\)?\(pcf.*\)?\(pfa\)?'`; do
set -f
debug "$i"
if test -f $i; then
n=`basename $i`
set +e
contains "$n" "${OPT_EXCLUDE[@]}"
ret=$?
set -e
if [ $ret -eq 1 ]; then
debug "ignoring $i"
continue
fi
if [ ${#OPT_INCLUDE[@]} -ne 0 ]; then
set +e
contains "$n" "${OPT_INCLUDE[@]}"
ret=$?
set -e
if [ $ret -eq 0 ]; then
debug "$i isn't targeted file"
continue
fi
fi
debug " $i"
res=`fc-validate -l $OPT_LANG $i`
if echo $res | grep -q Missing; then
echo "RESULT: FAIL: $i doesn't satisfy $OPT_LANG language coverage."
else
echo "RESULT: PASS: $i satisfy $OPT_LANG language coverage."
fi
fi
done

View File

@ -0,0 +1,4 @@
---
dependencies:
- role: str-common-init

View File

@ -0,0 +1,40 @@
---
- block:
- name: language coverage
script: run-lang-coverage-test --lang "{{ item }}" --path "{{ path_prefix }}" --artifactsdir "{{ remote_artifacts }}" {{ "" if coverage.values is not defined or coverage[item].name is not defined else "--name " + coverage[item].name }} {{ "" if coverage.values is not defined or coverage[item].exclude is not defined else '--exclude "' + (coverage[item].exclude | join('" --exclude "')) + '"'}} {{ "" if coverage.values is not defined or coverage[item].include is not defined else '--include "' + (coverage[item].include | join('" --include "')) + '"'}}
with_items:
- "{{ coverage if coverage.keys is not defined else coverage.keys()|list }}"
- name: generic family assignment
when: families is defined
script: run-family-test --lang {{ item.lang }} --family '{{ item.family }}' --alias {{ item.alias }} --artifactsdir {{ remote_artifacts }} --package {{ package if item.package is not defined else item.package }}
with_items:
- "{{ families }}"
- name: Check the results
shell: |
log="{{ remote_artifacts }}/test.log"
if [ ! -f "$log" ]; then
echo ERROR
echo "Test results not found." 1>&2
elif grep ^ERROR "$log" 1>&2; then
echo ERROR
elif grep ^FAIL "$log" 1>&2; then
echo FAIL
elif grep -q ^PASS "$log"; then
echo PASS
else
echo ERROR
echo "No test results found." 1>&2
fi
register: test_results
- name: Set role result
set_fact:
role_result: "{{ test_results.stdout }}"
role_message: "{{ test_results.stderr|d('test execution error.') }}"
role_result_failed: "{{ test_results.stdout != 'PASS' }}"
role_result_msg: "{{ test_results.stderr|d('test execution error.') }}"
- include_role:
name: str-common-final

16
tests/tests.yml Normal file
View File

@ -0,0 +1,16 @@
- hosts: localhost
tags:
- classic
become: yes
roles:
- role: custom-test-fonts
required_packages:
- madan-fonts
path_prefix: /usr/share/fonts/madan-fonts
package: madan-fonts
coverage:
- ne
families:
- lang: ne
alias: Madan2
family: Madan